﻿using System;

using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Logging;

using Platform.Logging.DatabaseLogger;

namespace Platform.Logging
{
    public static class PlatformDatabaseLoggerExtensions
    {
        public static ILoggingBuilder AddPlatformDatabaseLogger(this ILoggingBuilder builder, IConfigurationSection section)
        {
            try
            {
                var provider = new PlatformDatabaseLoggerProvider(section);
                builder.AddProvider(provider);
            }
            catch (Exception ex)
            {
                SimpleFileLogger.WriteLine("Failed to add Database Logger: {0}", ex.Message);
            }

            return builder;
        }
    }
}
